Description

According to the HTML5 spec the header element represents

a group of introductory or navigational aids. A header element typically contains the section’s heading (an h1–h6 element or an
hgroup element), but can also contain other content, such as a table of contents, a search form, or any relevant logos.

First of all, the hgroup element has been removed from the specs.
Secondly, header is used to group elements. Currently the header element is used if there is any content in lib.stdheader, so for
instance with a single hx. This is not desired because a single element is not a group.

Wrapping lib.stdheader with the header element should only occur when the date is added to the header.

Related issues:
related to Core - Bug # 53305: HTML5 rendering of headers works only if a dat... Closed 2013-11-04

Associated revisions
Revision 7fb894c5 - 2013-08-29 20:44 - Patrick Broens

[BUGFIX] header element is rendered in lib.stdheader in all HTML5 cases

According to the HTML5 specs the header element should be used for
grouping elements. Currently the header element is used if there is any
content in lib.stdheader, for instance a single hx.

This patch fixes this by wrapping lib.stdheader with the header element
only when the date is added to the header. Otherwise it will use the
default div wrapping.
History
#1 - 2013-04-25 12:54 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20149

#2 - 2013-07-17 12:43 - Mathias Brodala

Another issue which arises from the current structure: one cannot use header content elements within header and footer areas on the page.

#3 - 2013-08-28 11:04 - Ernesto Baschny

The hgroup has been removed already in https://review.typo3.org/20147 (for 6.2.0alpha1).

#4 - 2013-08-28 11:55 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20149

#5 - 2013-08-29 21:30 - Patrick Broens
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7fb894c55566deddaec96523454567e6cb0a5ed0.
